Package org.eclipse.draw2d

# Class SimpleRaisedBorder

java.lang.Object
org.eclipse.draw2d.AbstractBorder
org.eclipse.draw2d.SchemeBorder
org.eclipse.draw2d.SimpleRaisedBorder

All Implemented Interfaces:
  `Border`, `ColorConstants`

public class SimpleRaisedBorder extends SchemeBorder
Provides a raised border.

## Nested Class Summary

## Nested classes/interfaces inherited from class org.eclipse.draw2d.SchemeBorder

`SchemeBorder.Scheme, SchemeBorder.SCHEMES`

## Nested classes/interfaces inherited from interface org.eclipse.draw2d.ColorConstants

`ColorConstants.SystemColorFactory`

## Field Summary

### Fields inherited from class org.eclipse.draw2d.SchemeBorder

`DARKER_LIGHTER, DARKEST_DARKER, LIGHTER_DARKER, scheme`

### Fields inherited from class org.eclipse.draw2d.AbstractBorder

`tempRect`

### Fields inherited from interface org.eclipse.draw2d.ColorConstants

`black, blue, button, buttonDarker, buttonDarkest, buttonLightest, cyan, darkBlue, darkGray, darkGreen, gray, green, lightBlue, lightGray, lightGreen, lineForeground, listBackground, listForeground, listHoverBackgroundColor, listSelectedBackgroundColor, menuBackground, menuBackgroundSelected, menuForeground, menuForegroundSelected, orange, red, titleBackground, titleForeground, titleGradient, titleInactiveBackground, titleInactiveForeground, titleInactiveGradient, tooltipBackground, tooltipForeground, white, yellow`

## Constructor Summary

Constructors
Constructor
Description
`SimpleRaisedBorder()`
Constructs a SimpleRaisedBorder with the predefined `SchemeBorder.SCHEMES.BUTTON_RAISED` Scheme set as default.
`SimpleRaisedBorder(int width)`
Constructs a SimpleRaisedBorder with the width of all sides provided as input.

## Method Summary

### Methods inherited from class org.eclipse.draw2d.SchemeBorder

`getInsets, getScheme, isOpaque, paint, paint, setScheme`

### Methods inherited from class org.eclipse.draw2d.AbstractBorder

`getPaintRectangle, getPreferredSize`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### SimpleRaisedBorder

public SimpleRaisedBorder()
Constructs a SimpleRaisedBorder with the predefined `SchemeBorder.SCHEMES.BUTTON_RAISED` Scheme set as default.

Since:
  2.0

### SimpleRaisedBorder

public SimpleRaisedBorder(int width)
Constructs a SimpleRaisedBorder with the width of all sides provided as input. If width == 2, this SimpleRaisedBorder will use the local DOUBLE Scheme, otherwise it will use the `SchemeBorder.SCHEMES.BUTTON_RAISED` Scheme.

Parameters:
  `width` - the width of all the sides of the border
Since:
  2.0